<?php

class MoveSequenceToJoinTables extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'move_sequence_to_join_tables';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_form_builder_forms_question_blocks' => array(
					'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 5, 'unsigned' => false, 'after' => 'question_block_id'),
				),
				'ev_form_builder_question_blocks_questions' => array(
					'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 5, 'unsigned' => false, 'after' => 'question_id'),
				),
			),
			'drop_field' => array(
				'ev_form_builder_question_blocks' => array(
					'sequence',
				),
				'ev_form_builder_questions' => array(
					'sequence',
				)
			),
		),
		'down' => array(
			'create_field' => array(
				'ev_form_builder_question_blocks' => array(
					'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 5, 'unsigned' => false, 'after' => 'introduction'),
				),
				'ev_form_builder_questions' => array(
					'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'length' => 5, 'unsigned' => false, 'after' => 'answers'),
				)
			),
			'drop_field' => array(
				'ev_form_builder_forms_question_blocks' => array(
					'sequence',
				),
				'ev_form_builder_question_blocks_questions' => array(
					'sequence',
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
